// main_prngtest.cc - Main function for prngtest
// GPLed - Stephan T. Lavavej - http://stl.caltech.edu

#include "bcell.hh"
#include "sha1prng.hh"

int main(int argc, char *argv[]) {
    if (argc != 3) {
        cout << "USAGE: prngtest numbytes outfile" << endl;
        exit(EXIT_SUCCESS);
    }

    const size_t len = atoi(argv[1]);
    Sha1Prng prng;

//     unsigned char * const data = new unsigned char[len];
// 
//     clockStart();
// 
//     for (size_t i = 0; i < len; i++) {
//         data[i] = prng.getRandomUC();
//     }
// 
//     clockPrint();
// 
//     Bcell cell("Random Data", len);
//     for (size_t i = 0; i < len; i++) {
//         cell[i] = data[i];
//     }
//     delete[] data;
// 
//     cell.writeFileName(argv[2]);

    unsigned long * const data = new unsigned long[len];

    clockStart();

    for (size_t i = 0; i < len; i++) {
        data[i] = prng.getRandomUL();
    }

    clockPrint();

    delete[] data;
}
